/**
 * Map Examples Specific
 */
/* normal map */
.maparea {
    width:auto;
    border: 1px solid #ccc;
}
#results-area {
    padding-left: 0px;
}
#mapfilters {
    /*padding-top:80px;*/
    padding-left:2px; 
}
/* grid samllmap */
.smallmap {
    border-radius:5px;
    border:1px solid #8e8e8e;
    width:auto;
    height:400px;
}
#mapholder {
    margin-left:-30px;
    /*border:2px solid #afde64;*/
    /*-webkit-box-shadow: 0 3px 8px rgba(0,0,0,.4);
    box-shadow: 0 3px 8px rgba(0,0,0,.24);*/
    display:table;
}
.mapholder-cell {
    vertical-align:top;
    display:table-cell;
    width:100%;
}
#map {
    background : #7391ad;
}
#legend {
    position:absolute;
    z-index:1001;
    top:250px;
    border-top-right-radius:5px;
    border-bottom-right-radius:5px;
    padding:5px 5px 5px 0;
    background-color:#ffffff;
}
label > input{ /* HIDE RADIO */
  display:none;
}
label > input + span{ /* IMAGE STYLES */
  cursor:pointer;
  background-position: 0 -25px;
}
label > input:checked + span{ /* (RADIO CHECKED) IMAGE STYLES */
  background-position: 0 0;
}
#mouse-position {
    color:gray;
    min-width:10em;
    display:inline-block;
}
.mcbox {
    display:inline-block;
    border:1px solid #eaeaea;
    background-color: #fafafa;
    border-radius:2px;
    padding:3px;
    margin:2px;
    vertical-align:top;
    min-height:37px;
}
/* map filter box */
.mapfb {
    font-size:0.9em;
    border-collapse:separate;
    border-spacing:1px;
    background-color:#e7e7e7;
    margin-top:10px;
    float:left;
    -webkit-box-shadow: 0 3px 8px rgba(0,0,0,.4);
    box-shadow: 0 3px 8px rgba(0,0,0,.24);
    position:relative;
    z-index:1;
}
.mapfb-pos {
    z-index:3;
}
.mapfb td {
    padding:1px 1px 1px 2px;
}
.mapfb .title {
    padding-bottom:6px;
    padding-top:6px;
    font-weight: bold;
    background-color:#f7f7f7;
}
.mapfb .content {
    background-color:#f7f7f7;
    padding: 3px 0 3px 1px;
}
.mapfb .shadow {
    height:12px;
    background-color:#e7e7e7;
    width:100%;
    box-shadow: inset 0 4px 10px 0 rgba(204,204,204,1);
    -webkit-box-shadow: inset 0 4px 10px 0 #ccc;
    padding-top:10px;
}
.mapfb .center {
    text-align:center;
    font-size:120%;
    background-color:#b3cee6;
}


/* mobile specific */
@media only screen and (max-width: 600px) {
    .smallmap {
        border: 0;
        width: auto;
        height : 200px;
    }
    .maparea {
        border: 0;
        width: 100%;
        height: 300px;
    }
    #mouse-position {
        display : none;
    }
    #mapholder {
        margin-left: -1px;
    }
    .mapholder-cell {
        display:inline;
    }
    .mapfb {
        margin-top:2px;
        width: 100%;
        box-shadow: none;
        -webkit-box-shadow: none;
    }
    #results-area {
        padding-left: 0px;
    }
    #mapfilters {
        position:relative;
        z-index:1001;
        left:0;
    }
}
@media only screen and (min-width: 600px) {
    .maparea {
        width: 100%;
        height: 400px;
    }
    .smallmap {
        width:auto;
        height : 260px;
    }
    #mouse-position {
        display : none;
    }
    #mapholder {
        margin-left: -3px;
    }
    .mapholder-cell {
        display:inline;
    }
    .mapfb {
        width: 50%;
        margin-top:5px;
        box-shadow: none;
        -webkit-box-shadow: none;
    }
    #results-area {
        padding-left: 0px;
    }
}
@media only screen and (min-width: 900px) 
{    
    .maparea {
        width:100%;
        height:500px;
    }
    .smallmap {
        width:auto;
        height : 320px;
    }
    #mouse-position {
        display : inline-block;
    }
    #mapholder {
        margin-left: -6px;
    }
    .mapholder-cell {
        display:table-cell;
    }
    .mapfb {
        width: 380px;
        margin-top:2px;
        box-shadow: none;
        -webkit-box-shadow: none;
    }
    #results-area {
        padding-left: 10px;
    }
}
@media only screen and (min-width: 1400px) 
{    
    #map {
    }
    .maparea {
        width:100%;
        height:600px;
    }
    .smallmap {
        width: auto;
        height: 400px;
    }
    #mouse-position {
        display : inline-block;
    }
    #mapholder {
        margin-left: -30px;
    }
    .mapholder-cell {
        display:table-cell;
    }
    .mapfb {
        width: 450px;
        -webkit-box-shadow: 0 3px 8px rgba(0,0,0,.4);
        box-shadow: 0 3px 8px rgba(0,0,0,.24);
        margin-top:10px;
    }
    #results-area {
        padding-left: 30px;
    }
}

.result {
    border-top: 1px solid gray;
}
.root-ul {
    margin-top:0px;
    padding-left:7px;
    margin-left:0px;
    list-style:none;
    color: #646464;
    line-height:1.5em;
    font-size:0.8em;
}
#shortdesc {
        padding    : 1em;
        text-align : left;
        width      : 650px;
}
div.olLayerGoogleCopyright,
div.olLayerGooglePoweredBy
{
  /* display: none !important; */
}
.clear { /* generic container (i.e. div) for floating buttons */
    overflow: hidden;
    width: 100%;
}
.olControlOverviewMapElement {
    background-color: #000000 !important;
    border-top-left-radius: 10px;
    padding: 10px 18px 10px 10px;
}

#OpenLayers_Control_MaximizeDiv_innerImage:hover {
    background-color:orange;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}
